Return all snapshots of a resource server
GET/v2/modules/:module/setups/:setupId/resource-servers/:resourceId/snapshots
Lists all versioned snapshots of the specified resource server. Snapshots represent the resource server configuration at a specific point in time. Use validAt to filter for snapshots effective at a given date, or includeSoftDeletedStates to include removed states.
Request
Path Parameters
module stringrequired
setupId stringrequired
resourceId stringrequired
Query Parameters
validAt any
includeSoftDeletedStates boolean
Responses
- 200
- 400
- 404
Resource server snapshots found
- application/json
- Schema
- Example (from schema)
Schema
snapshotIds string[]
{
"snapshotIds": [
"string"
]
}
The validAt parameter is present but has an invalid date format
No resource server exists with the specified ID in this setup
Loading...